package tech.nevets.vplus.food;

import net.minecraft.entity.effect.StatusEffectInstance;
import net.minecraft.entity.effect.StatusEffects;
import net.minecraft.item.FoodComponent;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import tech.nevets.vplus.items.VPItemGroups;

public class EnchantedPlatinumApple extends Item {
    public EnchantedPlatinumApple() {
        super(new Settings().group(VPItemGroups.FOOD).food(new FoodComponent.Builder().hunger(16).saturationModifier(20).alwaysEdible().statusEffect(new StatusEffectInstance(StatusEffects.REGENERATION, 20*120, 10),1f).build()));
    }

    public boolean hasGlint(ItemStack stack) {
        return true;
    }
}